#include "index.h"

const string base_name = "hashdb";

int main (int argc, char *argv[])
{
    StringList cldevList;
    for (unsigned kerr = 1; kerr <= MaxTestKerr<CAlternGenMorFrankPerfHashCompDNA>(); ++kerr) {
        for (unsigned ShardId = 0; ShardId < SHARD_QTY; ++ShardId) {
            cldevList.push_back(CAlternGenMorFrankPerfHashCompDNA::HashContentName(kerr, ShardId));
            cldevList.push_back(CAlternGenMorFrankPerfHashCompDNA::CompactHashTableName(kerr, ShardId));
            cldevList.push_back(CAlternGenMorFrankPerfHashCompDNA::PerfectHashName(kerr, ShardId));
        }
    }

    cldevList.push_back(CAlternGenMorFrankPerfHashCompDNA::PerfectHashDictName());

    return test < CAlternGenMorFrankPerfHashCompDNA > (argc, argv, base_name, cldevList, 1, true);

};
