#include "index.h"

const string base_name = "hashdb";

int main (int argc, char *argv[])
{
    StringList cldevList;

    cldevList.push_back(CAlternGenRedAlpha::HeaderFileName(base_name));
    cldevList.push_back(CAlternGenRedAlpha::HashFileName(base_name));
    cldevList.push_back(CAlternGenRedAlpha::DictFileName(base_name));

    for (unsigned kerr = 1; kerr <= MaxTestKerr<CAlternGenRedAlphaMorFrankCompact>(); ++kerr) {
        cldevList.push_back(CAlternGenRedAlphaMorFrankCompact::HashContentName(kerr));
        cldevList.push_back(CAlternGenRedAlphaMorFrankCompact::CompactHashTableName(kerr));
    }

    return test < CAlternGenRedAlphaMorFrankCompact > (argc, argv, base_name, cldevList, 1, true);

};
