#include "index.h"

const string base_name = "hashdb";

int main (int argc, char *argv[])
{
    StringList cldevList;

    cldevList.push_back(CAlternGenRedAlpha::HeaderFileName(base_name));
    cldevList.push_back(CAlternGenRedAlpha::HashFileName(base_name));
    cldevList.push_back(CAlternGenRedAlpha::DictFileName(base_name));

    for (unsigned kerr = 1; kerr <= MaxTestKerr<CAlternGenRedAlphaMorFrankPerfHashCompact2>(); ++kerr) {
        for (unsigned ShardId = 0; ShardId < SHARD_QTY; ++ShardId) {
            cldevList.push_back(CAlternGenRedAlphaMorFrankPerfHashCompact2::HashContentName(kerr, ShardId));
            cldevList.push_back(CAlternGenRedAlphaMorFrankPerfHashCompact2::CompactHashTableName(kerr, ShardId));
            cldevList.push_back(CAlternGenRedAlphaMorFrankPerfHashCompact2::PerfectHashName(kerr, ShardId));
        }
    }    

    return test < CAlternGenRedAlphaMorFrankPerfHashCompact2 > (argc, argv, base_name, cldevList, 1, true);

};
