#ifndef _DISTANCE
#define _DISTANCE
#include "search.h"


int32 Distance (int MaxLen, const uchar * str1, const uchar * str2);
int32 ReducedDistance (int MaxLen, uchar * RMap, const uchar * str1,
                       const uchar * str2, register int len1 =
                       0, register int len2 = 0);
bool CheckSubDistance (int MaxLen, const uchar * str1, const uchar * str2,
                       int ErrNum);
bool CheckReducedSubDistance (int MaxLen, uchar * RMap, const uchar * str1,
                              const uchar * str2, int ErrNum, int len2);

#endif
