#ifndef MYTEST_H
#define MYTEST_H

#define TEST_COND_MSG_RETURN_FALSE(cond,msg) if (!(cond)) { cerr << msg << endl; return false; }

#define TEST_COND_MSG_RETURN_ONE(cond,msg) if (!(cond)) { cerr << msg << endl; return 1; }

#define TEST_NO_FAIL(Expr,nFail,nTest) { ++nFail;++nTest;\
                              try { if (Expr) {--nFail;}} \
                              catch (const std::exception& e) { std::cerr << e.what() << std::endl; } \
                              catch (...) { std::cerr << "Unknown exception" << std::endl;}}


#endif
