#include "index.h"

bool CHashFilterIndex::Insert(const char *str)
{
    string s(str);

    unsigned int wordId = m_dict.size();
    m_dict.push_back(s);

    int sz = s.size();
    int i, k;

    Tripple t(wordId);
    // The word itself
    m_hash[s].push_back(t);
    // One deletion
    for(i =  0; i < sz - 1; ++i) {
      s.erase(i);
      t.m_pos1 = i;
      m_hash[s].push_back(t);
      s.insert(s.begin() + i, str[i]);
    }
    // One transpostion
    t.m_isTransp1 = 1;
    for(i =  0; i < sz - 2; ++i) {
      swap(s[i], s[i + 1]);
      t.m_pos1 = i;
      m_hash[s].push_back(t);
      swap(s[i], s[i + 1]);
    }
    // Two deletions
    t.m_isTransp1 = 0;
    for(i =  0; i < sz - 2; ++i) 
    for(k = i + 1; k < sz - 1; ++k) {
       s.erase(k);
       s.erase(i);
       t.m_pos1 = i; t.m_pos1 = k;
       s.insert(s.begin() + i, str[i]);
       s.insert(s.begin() + k, str[k]);
    }
}

bool CHashFilterIndex::Search(const char *str, int kerr, int *numComp,
                         StringList * resList, bool silent)
{
}
