#ifndef TRIEDEB_H
#define TRIEDEB_H

#include <iostream>

// Don't set it to leaf only! Leaf-only is not computed correctly
//#define LEAF_ONLY 
#ifdef  LEAF_ONLY
#   define CALC_NUM_COMP(numComp,sub) {if ((numComp) && !(sub)) {(*(numComp))++;}}
#else
#   define CALC_NUM_COMP(numComp,sub) {if ((numComp)) {(*(numComp))++;}}
#endif

//#define PRINT_SEARCH_PATH
inline void PrintStr(int pos, const char *p) {
#ifdef PRINT_SEARCH_PATH
   for (int i = 0; i < pos; ++i) std::cout << " ";
   std::cout << p << "\n";
#endif
}
inline void PrintPat(const char *p, int kerr) {
#ifdef PRINT_SEARCH_PATH
   std::cout << "## '" << p << "' K = " << kerr << "\n";
#endif
}
inline void PrintPat(const char *p, int kerr1, int kerr2) {
#ifdef PRINT_SEARCH_PATH
   std::cout << "\n## '" << p << "' K = " << kerr1 << ", " << kerr2 << "\n";
#endif
}

#endif
