package result;

sub new {
    my ($class, $MethName, $HasTransp) = @_;
    my $self = {
        MethName  => $MethName,
        HasTransp => $HasTransp,
        Values    => {}
    };

    bless ($self, $class);
    return $self;
};

sub AddValues {
    my ($self, $N, $IndexSize, $TimeMem1, $TimeMem2, $TimeDisk1, $TimeDisk2, $TimeFlash1, $TimeFlash2, $NumComp1, $NumComp2) = @_;

    ($self->{Values})->{"dict_$N"} = [$IndexSize, $TimeMem1, $TimeMem2, $TimeDisk1, $TimeDisk2, $TimeFlash1, $TimeFlash2, $NumComp1, $NumComp2];

};

sub GetValues {
    my ($self, $N) = @_;

    if (!$self) {return ();}
    
    my $val = $self->{Values}; 

    my $res = $val->{"dict_$N"};
    if (!$res) {
        print "Undefined values requested for $self->{MethName} (HasTransp = $self->{HasTransp}) N = $N\n";
        return ();
    }
    return @{$res};
}

1;
