legendColors <- c('gray0','gray12','gray24','gray36','gray48','gray60')
legendSyms   <- c(1,2,3,4,5,6)
Time <- list()
IndexSize <- list()
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[1]] <- c(0.0162, 0.0178, 0.0191, 0.0330, 0.0323)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0161, 0.0180, 0.0195, 0.0227, 0.0253))
#FastSS
Time[[1]] <- rbind(Time[[1]], c(0.0084, 0.0090, 0.0096, 0.0104, 0.0110))
#\mbox{$q$-gram} index (best time)
Time[[1]] <- rbind(Time[[1]], c(0.0494, 0.0945, 0.1300, 0.1585, 0.2295))
#FB-trie
Time[[1]] <- rbind(Time[[1]], c(0.0338, 0.0393, 0.0462, 0.0550, 0.0638))
#Reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0279, 0.0328, 0.0387, 0.0541, 0.0658))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[1]] <- c(6, 14, 28, 56, 113)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(17, 33, 65, 124, 210))
#FastSS
IndexSize[[1]] <- rbind(IndexSize[[1]], c(134, 270, 543, 1091, 2187))
#\mbox{$q$-gram} index (best time)
IndexSize[[1]] <- rbind(IndexSize[[1]], c(11, 19, 34, 64, 125))
#FB-trie
IndexSize[[1]] <- rbind(IndexSize[[1]], c(6, 12, 24, 48, 94))
#Reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(4, 7, 14, 27, 45))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[2]] <- c(0.0913, 0.0986, 0.1073, 0.1156, 0.1275)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.1246, 0.1709, 0.1794, 0.2204, 0.2621))
#FastSS
Time[[2]] <- rbind(Time[[2]], c(0.0499, 0.0554, 0.0600, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[2]] <- rbind(Time[[2]], c(2.1953, 4.2282, 7.2936, 12.130, 15.418))
#FB-trie
Time[[2]] <- rbind(Time[[2]], c(0.4297, 0.6303, 0.5935, 0.7090, 0.8251))
#Reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.5974, 0.6919, 0.8266, 1.1852, 1.5063))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[2]] <- c(50, 102, 206, 415, 838)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(68, 129, 241, 448, 796))
#FastSS
IndexSize[[2]] <- rbind(IndexSize[[2]], c(678, 1351, 2691, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[2]] <- rbind(IndexSize[[2]], c(11, 19, 34, 64, 125))
#FB-trie
IndexSize[[2]] <- rbind(IndexSize[[2]], c(6, 12, 24, 48, 94))
#Reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(4, 7, 14, 27, 45))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[3]] <- c(0.4190, 0.4596, 0.5892, 0.9441, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(0.9789, 1.6638, 1.9027, 2.1789, NA))
#FastSS
Time[[3]] <- rbind(Time[[3]], c(0.2800, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[3]] <- rbind(Time[[3]], c(16.704, 29.470, 55.285, 113.43, 237.72))
#FB-trie
Time[[3]] <- rbind(Time[[3]], c(1.0622, 1.3266, 1.7640, 2.3503, 2.5627))
#Reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(13.079, 16.080, 16.844, 22.178, 30.318))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[3]] <- c(256, 513, 1033, 2084, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(249, 468, 874, 1621, NA))
#FastSS
IndexSize[[3]] <- rbind(IndexSize[[3]], c(2288, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[3]] <- rbind(IndexSize[[3]], c(11, 19, 34, 64, 125))
#FB-trie
IndexSize[[3]] <- rbind(IndexSize[[3]], c(6, 12, 24, 48, 94))
#Reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(4, 7, 14, 27, 45))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[4]] <- c(1.8686, 1.7841, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(5.1460, 8.3940, NA, NA, NA))
#FastSS
Time[[4]] <- rbind(Time[[4]], c(NA, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[4]] <- rbind(Time[[4]], c(53.383, 105.20, 220.00, 369.73, 755.13))
#FB-trie
Time[[4]] <- rbind(Time[[4]], c(6.8413, 8.4928, 14.664, 13.262, 20.447))
#Reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(284.00, 333.99, 346.95, 419.09, 482.81))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[4]] <- c(873, 1748, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(753, 1414, NA, NA, NA))
#FastSS
IndexSize[[4]] <- rbind(IndexSize[[4]], c(NA, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[4]] <- rbind(IndexSize[[4]], c(11, 19, 34, 64, 125))
#FB-trie
IndexSize[[4]] <- rbind(IndexSize[[4]], c(6, 12, 24, 48, 94))
#Reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(4, 7, 14, 27, 45))
ymaxMult <- 1
Names <- c('Mor-Fraenkel method (perfect hash)', 'Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation', 'FastSS', 'q-gram index (best time)', 'FB-trie', 'Reduced alphabet neighborhood generation')
