legendColors <- c('gray0','gray12','gray24','gray36','gray48','gray60')
legendSyms   <- c(1,2,3,4,5,6)
Time <- list()
IndexSize <- list()
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[1]] <- c(0.0162, 0.0179, 0.0196, 0.0212, 0.0230)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0279, 0.0328, 0.0393, 0.0484, 0.0901))
#FastSS
Time[[1]] <- rbind(Time[[1]], c(0.0162, 0.0179, 0.0198, 0.0223, 0.0244))
#\mbox{$q$-gram} index (best time)
Time[[1]] <- rbind(Time[[1]], c(0.1059, 0.1363, 0.1565, 0.2243, 0.2677))
#FB-trie
Time[[1]] <- rbind(Time[[1]], c(0.0747, 0.0900, 0.1115, 0.1386, 0.1687))
#Reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0310, 0.0423, 0.0495, 0.0607, 0.0753))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[1]] <- c(4, 10, 21, 43, 91)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(10, 20, 40, 82, 170))
#FastSS
IndexSize[[1]] <- rbind(IndexSize[[1]], c(84, 177, 372, 786, 1685))
#\mbox{$q$-gram} index (best time)
IndexSize[[1]] <- rbind(IndexSize[[1]], c(9, 18, 35, 68, 135))
#FB-trie
IndexSize[[1]] <- rbind(IndexSize[[1]], c(5, 11, 22, 44, 90))
#Reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(4, 8, 16, 34, 69))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[2]] <- c(0.1442, 0.1672, 0.2597, 0.2813, 0.3264)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.4183, 0.5389, 0.7156, 1.0085, 1.5265))
#FastSS
Time[[2]] <- rbind(Time[[2]], c(0.3652, 0.4662, 0.6208, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[2]] <- rbind(Time[[2]], c(6.5626, 12.040, 20.863, 34.847, 55.171))
#FB-trie
Time[[2]] <- rbind(Time[[2]], c(1.9877, 2.6005, 3.5791, 4.8833, 6.1198))
#Reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.9244, 1.3255, 1.5810, 1.9151, 2.4019))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[2]] <- c(30, 64, 136, 292, 636)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(35, 72, 149, 314, 685))
#FastSS
IndexSize[[2]] <- rbind(IndexSize[[2]], c(353, 764, 1666, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[2]] <- rbind(IndexSize[[2]], c(9, 18, 35, 68, 135))
#FB-trie
IndexSize[[2]] <- rbind(IndexSize[[2]], c(5, 11, 22, 44, 90))
#Reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(4, 8, 16, 34, 69))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[3]] <- c(1.0204, 1.3889, 1.7837, 2.3232, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(3.9447, 6.7045, 9.7319, 12.972, NA))
#FastSS
Time[[3]] <- rbind(Time[[3]], c(5.2221, 10.044, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[3]] <- rbind(Time[[3]], c(26.391, 50.391, 100.77, 185.93, 328.78))
#FB-trie
Time[[3]] <- rbind(Time[[3]], c(7.0343, 11.069, 14.696, 20.744, 27.711))
#Reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(27.023, 41.152, 52.618, 58.584, 74.894))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[3]] <- c(131, 287, 635, 1432, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(118, 253, 552, 1230, NA))
#FastSS
IndexSize[[3]] <- rbind(IndexSize[[3]], c(1057, 2383, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[3]] <- rbind(IndexSize[[3]], c(9, 18, 35, 68, 135))
#FB-trie
IndexSize[[3]] <- rbind(IndexSize[[3]], c(5, 11, 22, 44, 90))
#Reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(4, 8, 16, 34, 69))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[4]] <- c(3.0483, 4.3084, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(23.792, 30.305, NA, NA, NA))
#FastSS
Time[[4]] <- rbind(Time[[4]], c(22.280, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[4]] <- rbind(Time[[4]], c(65.970, 124.30, 233.72, 433.76, 834.67))
#FB-trie
Time[[4]] <- rbind(Time[[4]], c(33.285, 53.802, 87.695, 149.47, 189.50))
#Reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(778.66, 1403.2, 1316.4, 2787.0, 2615.0))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[4]] <- c(409, 929, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(342, 771, NA, NA, NA))
#FastSS
IndexSize[[4]] <- rbind(IndexSize[[4]], c(2607, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[4]] <- rbind(IndexSize[[4]], c(9, 18, 35, 68, 135))
#FB-trie
IndexSize[[4]] <- rbind(IndexSize[[4]], c(5, 11, 22, 44, 90))
#Reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(4, 8, 16, 34, 69))
ymaxMult <- 1
Names <- c('Mor-Fraenkel method (perfect hash)', 'Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation', 'FastSS', 'q-gram index (best time)', 'FB-trie', 'Reduced alphabet neighborhood generation')
