legendColors <- c('gray0','gray12','gray24','gray36','gray48','gray60')
legendSyms   <- c(1,2,3,4,5,6)
Time <- list()
IndexSize <- list()
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[1]] <- c(0.0176, 0.0192, 0.0206, 0.0218, 0.0232)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0149, 0.0163, 0.0181, 0.0204, 0.0229))
#FastSS
Time[[1]] <- rbind(Time[[1]], c(0.0082, 0.0093, 0.0098, 0.0104, 0.0110))
#\mbox{$q$-gram} index (best time)
Time[[1]] <- rbind(Time[[1]], c(0.0492, 0.0562, 0.0698, 0.0866, 0.1201))
#FB-trie
Time[[1]] <- rbind(Time[[1]], c(0.0280, 0.0338, 0.0404, 0.0481, 0.0561))
#Reduced alphabet neighborhood generation
Time[[1]] <- rbind(Time[[1]], c(0.0231, 0.0302, 0.0353, 0.0426, 0.0599))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[1]] <- c(8, 15, 31, 63, 127)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(21, 40, 79, 153, 297))
#FastSS
IndexSize[[1]] <- rbind(IndexSize[[1]], c(164, 328, 655, 1310, 2632))
#\mbox{$q$-gram} index (best time)
IndexSize[[1]] <- rbind(IndexSize[[1]], c(14, 23, 40, 74, 140))
#FB-trie
IndexSize[[1]] <- rbind(IndexSize[[1]], c(6, 13, 26, 51, 100))
#Reduced alphabet neighborhood generation
IndexSize[[1]] <- rbind(IndexSize[[1]], c(5, 10, 16, 30, 58))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[2]] <- c(0.1076, 0.1133, 0.1209, 0.1300, 0.1406)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.0934, 0.1123, 0.1361, 0.1657, 0.2001))
#FastSS
Time[[2]] <- rbind(Time[[2]], c(0.0432, 0.0464, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[2]] <- rbind(Time[[2]], c(0.9365, 1.9274, 3.7476, 4.7179, 6.6877))
#FB-trie
Time[[2]] <- rbind(Time[[2]], c(0.3006, 0.3674, 0.4425, 0.5177, 0.6197))
#Reduced alphabet neighborhood generation
Time[[2]] <- rbind(Time[[2]], c(0.5293, 0.7079, 0.7989, 0.9736, 1.4004))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[2]] <- c(64, 128, 255, 511, 1031)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(94, 180, 342, 650, 1242))
#FastSS
IndexSize[[2]] <- rbind(IndexSize[[2]], c(939, 1859, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[2]] <- rbind(IndexSize[[2]], c(14, 23, 40, 74, 140))
#FB-trie
IndexSize[[2]] <- rbind(IndexSize[[2]], c(6, 13, 26, 51, 100))
#Reduced alphabet neighborhood generation
IndexSize[[2]] <- rbind(IndexSize[[2]], c(5, 10, 16, 30, 58))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[3]] <- c(0.4927, 0.5309, 0.5606, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(0.5729, 0.7232, 0.9871, 1.3386, NA))
#FastSS
Time[[3]] <- rbind(Time[[3]], c(0.2191, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[3]] <- rbind(Time[[3]], c(8.6884, 17.333, 32.915, 60.685, 123.24))
#FB-trie
Time[[3]] <- rbind(Time[[3]], c(0.6251, 0.7880, 1.0958, 1.3676, 1.7102))
#Reduced alphabet neighborhood generation
Time[[3]] <- rbind(Time[[3]], c(13.017, 18.464, 18.696, 20.245, 29.588))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[3]] <- c(357, 711, 1419, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(378, 720, 1371, 2604, NA))
#FastSS
IndexSize[[3]] <- rbind(IndexSize[[3]], c(3518, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[3]] <- rbind(IndexSize[[3]], c(14, 23, 40, 74, 140))
#FB-trie
IndexSize[[3]] <- rbind(IndexSize[[3]], c(6, 13, 26, 51, 100))
#Reduced alphabet neighborhood generation
IndexSize[[3]] <- rbind(IndexSize[[3]], c(5, 10, 16, 30, 58))
#\mbox{Mor-Fraenkel} method (perfect hash)
Time[[4]] <- c(1.8635, 2.1864, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(3.0974, 4.2497, NA, NA, NA))
#FastSS
Time[[4]] <- rbind(Time[[4]], c(NA, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
Time[[4]] <- rbind(Time[[4]], c(31.941, 61.872, 122.80, 239.62, 454.01))
#FB-trie
Time[[4]] <- rbind(Time[[4]], c(4.5884, 5.6857, 7.9682, 10.849, 14.312))
#Reduced alphabet neighborhood generation
Time[[4]] <- rbind(Time[[4]], c(329.10, 424.94, 358.96, 485.87, 541.21))
#\mbox{Mor-Fraenkel} method (perfect hash)
IndexSize[[4]] <- c(1311, 2614, NA, NA, NA)
#Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(1227, 2346, NA, NA, NA))
#FastSS
IndexSize[[4]] <- rbind(IndexSize[[4]], c(NA, NA, NA, NA, NA))
#\mbox{$q$-gram} index (best time)
IndexSize[[4]] <- rbind(IndexSize[[4]], c(14, 23, 40, 74, 140))
#FB-trie
IndexSize[[4]] <- rbind(IndexSize[[4]], c(6, 13, 26, 51, 100))
#Reduced alphabet neighborhood generation
IndexSize[[4]] <- rbind(IndexSize[[4]], c(5, 10, 16, 30, 58))
ymaxMult <- 1
Names <- c('Mor-Fraenkel method (perfect hash)', 'Hybrid of Mor-Fraenkel method and reduced alphabet neighborhood generation', 'FastSS', 'q-gram index (best time)', 'FB-trie', 'Reduced alphabet neighborhood generation')
