#include <stdio.h>
#include <string>

using namespace std;

void usage(const char *prog)
{
   fprintf(stderr, "Usage: %s <file_name>\n", prog);
}

int main(int argc, char *argv[])
{
   const char *pFile = argv[1];
   if (argc != 2) {
       usage(argv[0]);
       return 1;
   }
   FILE *f0 = fopen ("/dev/cldev", "w");
   if (!f0) {
       perror ("Cannot open cldev");
       return 1;
   }
   // Let's clear all cashes
   if (fputs( (string(pFile) + "\n").c_str (), f0) < 0) {
       perror ("Cannot write to cldev");
       return 1;
   }

   if (fclose (f0)) {
       perror ("Cannot close cldev");
       return 1;
   }
   return 0;
}
 
