
export ABC=$2
if [ "$ABC" = "" ] ; then
    echo "You must specify an alphabet as the second argument!"
    exit 1
fi

if [ "$ABC" != "eng" -a "$ABC" != "rus" -a "$ABC" != "dna" -a "$ABC" != "engnum" ] ; then
    echo "Wrong alphabet specifier: '$ABC'! Alphabet must be one of the following: eng, engnum, rus, dna"
    exit 1
fi

if [ "$RES_FILE_BASE" = "" ] ; then
    echo "INTERNAL ERROR: RES_FILE_BASE should be defined at this point!"
    exit 1
fi

export RES_FILE="$RES_FILE_BASE.$ABC"
export dict="$ABC"

echo "Test language: $ABC"  
echo "Result file: $RES_FILE"
