#include <iostream>
#include <fstream>
#include <sstream>

#include <errno.h>
#include <string.h>

#include "index.h"

int main(int argc, char * argv[]) 
{
    const char * d[5] = {"word", "sword", "bugger", "bug", "buggu"};

    try {
        std::string s;
#if 0
        VS dict(d, d + sizeof d/ sizeof d[0]);
        CAhcTree & t1 = * new CAhcTree (dict, 0);
        CAhcTree & t2 = * new CAhcTree (dict, 1);
        CAhcTree & t3 = * new CAhcTree (dict, 2);
        CAhcTree & t4 = * new CAhcTree (dict, 3);
        CAhcTree & t5 = * new CAhcTree (dict, 4);
        CAhcTree * tt1 = joinClusters(t1, t2);
        CAhcTree * tt2 = joinClusters(t3, t4);
        CAhcTree * tt3 = joinClusters(*tt2, t5);
        CAhcTree * ttt = joinClusters(*tt1, *tt3);
        std::cout << "Rads: " << 
        tt1->getRad() << " " <<
        tt2->getRad() << " " <<
        tt3->getRad() << " " <<
        ttt->getRad() << " "  <<
        std::endl;

        //print(t1);
        //print(t2);
        //print(t3);
        //print(t4);
        //print (*tt1);
        //print (*tt2);
        //print (*tt3);
        //print (*ttt);
        delete ttt;
#else
        VS dict;
        std::ifstream f(argv[1]);
        if (!f) {
            std::cerr << "Cannot open file " << argv[1] << " " << strerror(errno) << std::endl;
        }
        while (f >> s) {
            dict.push_back(s);
        }
#endif
        AhcForest frst;
        generateTrees(frst, dict, 1);
#if 0
        print(*frst[0]);
#endif
        int k;
        char buf[1024];
        std::cout << "'word to search' 'number of missps' [ENTER]\n";
        VS   res;
        while(std::cin.getline(buf, sizeof buf)) {
            std::stringstream str(buf);
  
            str >> s >> k;
            int cnt;
            frst[0]->search(s, k, res, cnt);
            std::cout << "number of ops: " << cnt <<" results: " << std::endl;
            for (unsigned int i = 0; i < res.size(); ++i)
                std::cout << res[i] << " ";
            std::cout << std::endl;
        }
        

    } catch (const char * p) {
        std::cerr << "Exception: " << p << std::endl;
    } catch (...) {
        std::cerr << "Unknown xception: " << std::endl;
    }
};


