#!/usr/bin/perl -w

my $TestFile = $ARGV[0];
my $DictFile = $ARGV[1] or die("Specify the dict name as a second paragraph!");

 -f $DictFile or die("$DictFile is not a file!");

for (my $SplitLen = 8; $SplitLen <= 12; ++$SplitLen) {
    my $N = 0;
    my $NNorm = 0;
    my $TotCand = 0;

    open FT, "<$TestFile" or die("Cannot open: $TestFile");

    while (<FT>) {
        chomp;
        my $pat = $_;
        my $len=length($pat);
        if ($len >= $SplitLen - 1 && $len <= $SplitLen + 1) {++$NNorm;}

        if (1) {
            my $HalfLen = int($len / 2);
            for (my $l = $HalfLen - 1; $l <= $HalfLen; ++$l) {
                next if $l < 0;
                my $pref = substr($pat, 0, $l);

                my $cmd= "grep \"^$pref\" $DictFile|wc -l";
                #print "$cmd\n";
                my $qty = `$cmd` or die("Cannot execute: $cmd");
                #print "$pat -> $pref -> $qty\n";
                $TotCand += $qty;
            }

            for ($l = $HalfLen; $l <= $HalfLen + 1; ++$l) {
                my $suff = substr($pat, $l);

                my $cmd ="grep \"$suff\$\" $DictFile|wc -l";
                #print "$cmd\n";
                my $qty = `$cmd` or die("Cannot execute: $cmd");
                #print "$pat -> $suff -> $qty\n";
                $TotCand += $qty;
            }
        }
        ++$N;
    }

    close FT;

    print "SplitLen=$SplitLen N = $N NNorm = $NNorm ";
    print "Average # of cand: ".($TotCand/($N));
    print "\n";
}
