PROG = indx
LANG_OBJS = ../Lang/langcase.o ../Lang/alphabet.o
OBJS1 = index.o main.o ../afuzzy/myagrep.o ../afuzzy/afuzzy.o ../Common/filesize.o ../Common/utils.o ../Interface/interface.o  ../Common/format.o $(LANG_OBJS) ../Common/hash.o
DBOBJS = ../Common/db_init.o 
#DBDIR= /home/leo/
DBDIR= /usr
DBLIB = $(DBDIR)/lib/libdb.a -lpthread
LIB_FLAMINGO= -L/usr/local/lib -lwrappers-lib -lfiltertree-lib -lcommon-lib -lutil-lib -llistmerger-lib -lrt
INC_FLAMINGO= -I/media/SecondDrive/home/leo/flamingo-4.0/src/ -I/media/SecondDrive/home/leo/flamingo-4.0/src/filtertree/src/wrappers
STLPORT_ROOT=/usr
#USE_STLPORT=1
ifdef USE_STLPORT
STLPORT_LIB = -L$(STLPORT_ROOT)/lib -lstlport
COMMON_LIB = $(STLPORT_LIB)
endif
ifdef DEBUG
ifeq ($(DEBUG),1)
OPT_FLAGS=-g
$(shell touch .debug)
endif
else
OPT_FLAGS=-O2 -DNDEBUG
$(shell rm -f .debug)
endif
ifdef PROFILE
ifeq ($(PROFILE),1)
PROFILE_FLAGS += -pg 
$(shell touch .profile)
endif
else
    $(shell rm -f .profile)
endif
CFLAGS1 = -DMAX_KERR=4 -DMAX_FUNC_TEST_SIZE=100 $(OPT_FLAGS) $(PROFILE_FLAGS) -funsigned-char -DDEV_CLDEV=\"/dev/cldev\"
# At some point, however, hash_map will be replaced with unordered_map
CFLAGS1 += -Wno-deprecated
ifdef USE_STLPORT
STLPORT_INCLUDE = -I$(STLPORT_ROOT)/include/stlport
COMMON_INCLUDE += $(STLPORT_INCLUDE)
endif
COMMON_INCLUDE += -I../afuzzy/ -I../Common -I../Interface -I../GramCommon -I../NGCommon -I../Compress -I../Lang -I$(DBDIR)/include 
CC	=	g++

